# -*- coding: utf-8 -*-
################################################################################
#
#  Rattail -- Retail Software Framework
#  Copyright © 2010-2015 Lance Edgar
#
#  This file is part of Rattail.
#
#  Rattail is free software: you can redistribute it and/or modify it under the
#  terms of the GNU Affero General Public License as published by the Free
#  Software Foundation, either version 3 of the License, or (at your option)
#  any later version.
#
#  Rattail is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#  FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
#  more details.
#
#  You should have received a copy of the GNU Affero General Public License
#  along with Rattail.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################
"""
SMS Database
"""

from __future__ import unicode_literals

from locsms.db import Session

from rattail_locsms.db.util import configure_session_factory


def init(config):
    """
    Initialize the ``rattail_locsms.db`` module.

    .. note::
       This function is provided for compatibility with the ``edbob``
       initialization logic, but will likely be removed at some point.  It
       merely calls :func:`configure_session_factory()`.
    """
    configure_session_factory(config)
